from osgeo import ogr
import re

def filterTags(attrs):
    if not attrs:
        return
    tags = {}

    if 'UNIT_NAME' in attrs:
        tags['name'] = attrs['UNIT_NAME'] + ' (NPS)'
        tags['boundary'] = 'protected_area'
        tags['protected'] = 'perpetuity'

    if 'UNIT_TYPE' in attrs:
        
        if attrs['UNIT_TYPE'] == 'National Park':
            tags['protect_class'] = '2'
            tags['park:type'] = 'national_park'
        elif attrs['UNIT_TYPE'] == 'National Monument':
            tags['protect_class'] = '2'
            tags['park:type'] = 'national_monument'
        elif attrs['UNIT_TYPE'].find("Historic") >= 0 or attrs['UNIT_TYPE'].find("Battlefield") >= 0 or attrs['UNIT_TYPE'].find("Memorial") >= 0 or attrs['UNIT_TYPE'].find("Military") >= 0:
            tags['protect_class'] = '22'
            tags['tourism'] = 'historic_park'
            tags['park:type'] ='national_park'
        elif attrs['UNIT_TYPE'] == 'National Seashore' or attrs['UNIT_TYPE'] == 'National Lakeshore' or attrs['UNIT_TYPE'].find("Recreation") >= 0 or attrs['UNIT_TYPE'].find("River") >= 0 or attrs['UNIT_TYPE'].find("Parkway") >= 0 or attrs['UNIT_TYPE'].find("Scenic") >= 0:
            tags['tourism'] = 'recreation_area'
            tags['park:type'] = 'recreation_area'
        elif attrs['UNIT_TYPE'] == 'National Reserve' or attrs['UNIT_TYPE'] == 'National Preserve':
            tags['park:type'] = 'conservation'
        else:
            tags['protect_class'] = '2'
            tags['park:type'] = 'national_park'

    return tags
